> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# targettypes

## "targettypes" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TargetTypeProvider">TargetTypeProvider</see> class.
The name of the MDO list is 'targettypes'.

## Additional Attributes

| Description                                                                        | Name             | Example Value |
| ---------------------------------------------------------------------------------- | ---------------- | ------------- |
| The entity type for which to return target types. (Sale, Project, Selection, etc.) | TargetEntityType |               |
| Include All item.                                                                  | IncludeAll       | False         |
| Include invalid choices (already used for all measure types).                      | IncludeAll       | False         |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/targettypes
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("targettypes", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "targettypesheadings"
* "targettypesheadingswithallitem"
* "targettypesheadingswithallitemwithnoselection"
* "targettypesheadingswithnoselection"
* "targettypeswithallitem"
* "targettypeswithallitemwithnoselection"
* "targettypeswithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
